Bug 1010574 - marble-libs-4.11.1-1 conflicts with calligra and libkgeomap
marble-libs-4.11.1-1 conflicts with calligra and libkgeomap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
19
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 13:09 EDT by John Freed
Modified: 2013-09-21 14:48 EDT (History)
10 users (show)

See Also:
Fixed In Version: digikam-3.4.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 14:48:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Freed 2013-09-21 13:09:33 EDT
Description of problem:
New version of marble-libs conflicts with calligra and libkgeomap

Version-Release number of selected component (if applicable):
4.11.1-1

How reproducible:
yum upgrade

Steps to Reproduce:
1. install calligra and/or libkgeomap
2. upgrade marble-libs to latest version


Actual results:
marble and marble-libs do not install

Expected results:
marble and marble-libs install

Additional info:
I think this is probably a packaging error for calligra and libkgeomap. They appear to want marble-libs >= 4.10 but actually insist on having libmarblewidget.so.15 (specifically version 15, not >= 15). Because the new marble-libs provides version 16, calligra and libkgeomap block installation.

I installed both version 15 and 16, which of course yum does not like, but at least it works.
Comment 1 Mattia Verga 2013-09-21 14:16:18 EDT
libkgeomap (provided by digikam) should be rebuild against the new marble-libs.
Reassigning this to digikam package.
Comment 2 Mattia Verga 2013-09-21 14:30:59 EDT
About my previous comment, the new version of digikam available in updates-testing solves the problem, it needs to be pushed into stable.
Comment 3 nucleo 2013-09-21 14:37:53 EDT
digikam-3.4.0-1.fc19 built against 4.11.1 is in stable updates https://admin.fedoraproject.org/updates/FEDORA-2013-17034
but marble-4.11.1-1.fc19 still in testing https://admin.fedoraproject.org/updates/FEDORA-2013-17032
Comment 4 Rex Dieter 2013-09-21 14:45:19 EDT
https://admin.fedoraproject.org/updates/FEDORA-2013-17032

lies, it was actually pushed stable.

Note You need to log in before you can comment on or make changes to this bug.